Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.model.filterencoding.capabilities
Class FilterCapabilities110Fragment

    java.lang.Object
      org.deegree.framework.xml.XMLFragment
          org.deegree.model.filterencoding.capabilities.FilterCapabilities110Fragment

All Implemented Interfaces:
  Serializable

    public class FilterCapabilities110Fragment

extends XMLFragment

Since:
  2.0
Version:
  $Revision: 18195 $, 1.0. $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.deegree.framework.xml.XMLFragment
`DEFAULT_URL, nsContext, XLNNS`

Constructor Summary
`FilterCapabilities110Fragment(Element element, URL systemId)` Creates a new `FilterCapabilities110Fragment` from the given parameters.
`FilterCapabilities110Fragment(URL url)` Creates a new `FilterCapabilities110Fragment` from the given parameters.

Method Summary
`FilterCapabilities` | `parseFilterCapabilities()` Returns the object representation for the `ogc:Filter_Capabilities` root element.

Methods inherited from class org.deegree.framework.xml.XMLFragment
`getAsPrettyString, getAsString, getAttachedSchemas, getQualifiedName, getRootElement, getSystemId, hasSchema, load, load, load, parseQualifiedName, parseSimpleLink, prettyPrint, prettyPrint, resolve, setRootElement, setSystemId, setSystemId, toString, write, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FilterCapabilities110Fragment

    public FilterCapabilities110Fragment(URL url)
                                  throws IOException,
                                         SAXException

  Creates a new `FilterCapabilities110Fragment` from the given parameters.

  Parameters:
    `url` -
  Throws:
    `SAXException`
    `IOException`

### FilterCapabilities110Fragment

    public FilterCapabilities110Fragment(Element element,
                                         URL systemId)

  Creates a new `FilterCapabilities110Fragment` from the given parameters.

  Parameters:
    `element` -
    `systemId` -

Method Detail

### parseFilterCapabilities

    public FilterCapabilities parseFilterCapabilities()
                                               throws XMLParsingException

  Returns the object representation for the `ogc:Filter_Capabilities` root element.

  Returns:
    object representation for the given `ogc:Filter_Capabilities` element
  Throws:
    `XMLParsingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org